%define upstream_name    Linux-DVB
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Interface to (some parts of) the Linux DVB API
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
This module provides an interface to the Linux DVB API. It is a
straightforward translation of the C API. You should read the Linux DVB API
description to make any sense of this module. It can be found here:

   http://www.linuxtv.org/docs/dvbapi/dvbapi.html

All constants from _frontend.h_ and _demux.h_ are exported by their C name
and by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-7.mga4
+ Revision: 524376
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.10.0-6.mga4
+ Revision: 430780
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 369094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-4.mga3
+ Revision: 250854
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.10.0-3.mga2
+ Revision: 104752
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-2.mga1
+ Revision: 30708
- mageia rebuild
- imported package perl-Linux-DVB

